Subject: bug#3417: c-mode uses font-lock-doc-face for /**

From: Antoine Levitt <[email-masked]>
Date: Fri, 29 May 2009 19:03:05 +0200

Using your variable as a starting point, I found this :
for gtkdoc (default in C), regexp is :
    (c-font-lock-doc-comments "/\\*\\*$" limit
      gtkdoc-font-lock-doc-comments)

for javadoc, it's :
(c-font-lock-doc-comments "/\\*\\*" limit
      javadoc-font-lock-doc-comments)))))

Gtkdoc manual specifies :

A multiline comment that starts with an additional '*' marks a documentation
block that will be processed by the Gtk-Doc tools.

Shouldn't the regexp for gtkdoc be "/\\*\\*" then ? (without the $)
2009/5/29 martin rudalics <[email-masked]>

> > Compare :
> > /**
> > some file
> > */
> > with
> > /*
> > some file
> > */
> >
> > In the first case, font-lock-doc-face is used, in the second
> > font-lock-comment-face is.
> >
> > The first example fontifies with doc-face only if there is just "/**" :
> > "/*", "/** " (with a space) or "/***", for instance, use the standard
> > comment-face.
> >
> > This is using emacs 23.0.94.1, and was reproduced on emacs22 as well. C++
> > and obj-C aren't affected, and java also shows this behavior on "/***""
> and
> > "/** "/
> >
> > This behavior is certainly unexpected : I expect all comments to be
> > fontified with the same face. Am I right in thinking it's a bug ?
>
> Have you tried to customize `c-doc-comment-style'?
>
> martin
>